mediathekview (13.2.1-1) unstable; urgency=medium

  * New upstream version 13.2.1. (Closes: #911137, LP: #1795988)
    - Fixes "Mediathekview does not start because it cannot find
      its main class" (LP: #1798683)
    - Repack the tarball and remove prebuilt jar and exe files.
  * New dependencies for latest release including libcontrolsfx-java,
    libh2-java, libjiconfont-font-awesome-java, libjiconfont-swing-java,
    liblog4j2-java, libmbassador-java, libcommons-pool2-java,
    libcommons-dbcp2-java, libcommons-configuration2-java and
    libactivation-java.
  * Removed dependencies: libjgoodies-common-java, libjgoodies-forms-java,
    libmac-widgets-java, libtimingframework-java.
  * No longer install mediathekview.xpm icon.
  * The documentation in pdf format is no longer shipped by upstream.
  * Remove dh_clean override and use debian/clean instead.
  * Update debian/copyright for new release.
  * Remove debian/mediathekview.links again and add javafx jar files to the
    CLASSPATH in mediathekview.manifest instead.

 -- Markus Koschany <apo@debian.org>  Sun, 18 Nov 2018 19:07:51 +0100

mediathekview (13.0.6-3) unstable; urgency=medium

  * Fix FTBFS with OpenJDK 11.
    - B-D on libactivation-java.
    - Add /usr/share/java/javax.activation.jar to CLASSPATH.
    - Update build.patch and use javax.activation.
    (Closes: #912350)

 -- Markus Koschany <apo@debian.org>  Tue, 30 Oct 2018 17:52:52 +0100

mediathekview (13.0.6-2) unstable; urgency=medium

  * Move the package to salsa.debian.org.
  * Fix compatibility issues with OpenJFX 11. (Closes: #910395)
  * Depend on Java 9 at least.

 -- Markus Koschany <apo@debian.org>  Tue, 16 Oct 2018 10:23:24 +0200

mediathekview (13.0.6-1) unstable; urgency=medium

  * New upstream version 13.0.6.

 -- Markus Koschany <apo@debian.org>  Wed, 10 Jan 2018 22:27:21 +0000

mediathekview (13.0.5-1) unstable; urgency=medium

  * New upstream version 13.0.5.
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.1.3.
  * Refresh build.patch.

 -- Markus Koschany <apo@debian.org>  Thu, 04 Jan 2018 00:08:15 +0100

mediathekview (13.0.4-1) unstable; urgency=medium

  * New upstream version 13.0.4.
  * Refresh build.patch.

 -- Markus Koschany <apo@debian.org>  Mon, 20 Nov 2017 20:33:26 +0100

mediathekview (13.0.3-1) unstable; urgency=medium

  * New upstream version 13.0.3. (Closes: #878302)
  * Refresh build.patch
  * New dependency: libokhttp-java.
  * Declare compliance with Debian Policy 4.1.1.
  * Use https for Format field.

 -- Markus Koschany <apo@debian.org>  Thu, 19 Oct 2017 19:34:36 +0200

mediathekview (13.0.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Markus Koschany <apo@debian.org>  Mon, 19 Jun 2017 15:00:07 +0200

mediathekview (13.0.2-1) experimental; urgency=medium

  * New upstream version 13.0.2.
  * Drop debian menu file.

 -- Markus Koschany <apo@debian.org>  Fri, 10 Mar 2017 01:42:51 +0100

mediathekview (13.0.1-1) unstable; urgency=medium

  * New upstream version 13.0.1.
  * Update src-debian.sh for latest release 13.0.1.
  * Fix watch file.
  * New upstream build system: Switch from Ant to Gradle.
  * Refresh build.patch and adjust it to new build system.
  * Use gradle-debian-helper.
  * Drop Apple-Java-Extensions.patch and rename the patch to
    no-mac-support.patch
  * Add maven.rules and use substitution rules for Debian's jar files.
  * Update debian/copyright for new release.
  * Tighten dependencies on libjide-oss-java and libjchart2d-java.
  * Update Homepage field.
  * debian/rules: Override dh_clean and ensure that the package can be built
    twice in a row.

 -- Markus Koschany <apo@debian.org>  Sun, 08 Jan 2017 18:50:53 +0100

mediathekview (12-2) unstable; urgency=medium

  * Update wrapper script to require Java 8 at least. Otherwise MediathekView
    will not run.
  * Switch to compat level 10.

 -- Markus Koschany <apo@debian.org>  Sun, 18 Dec 2016 02:26:52 +0100

mediathekview (12-1) unstable; urgency=medium

  * New upstream version 12. (Closes: #837405)
  * Add up-to-date src-debian.sh to debian directory.
  * Rebase patches for new release.
  * Build-Depend on libopenjfx-java.
  * Tighten build-dependency on Java 8 which is now strictly required.
  * Update mediathekview.manifest and add javafx to CLASSPATH.
  * Add README.source and remove get-orig-source target.
  * Update debian/watch and track Github tags from now on.
  * Update man page timestamps.

 -- Markus Koschany <apo@debian.org>  Sun, 11 Sep 2016 18:22:47 +0200

mediathekview (11-2) unstable; urgency=medium

  * No-change rebuild because of bug #821065.

 -- Markus Koschany <apo@debian.org>  Fri, 15 Apr 2016 21:53:26 +0200

mediathekview (11-1) unstable; urgency=medium

  * Imported Upstream version 11.
  * Update debian/watch to detect newer releases. Use version=4.
  * Update my e-mail address.
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs-Git: Use https.
  * Drop headless-mode-not-working.patch. Fixed upstream.
  * Refresh Apple-Java-Extensions.patch.

 -- Markus Koschany <apo@debian.org>  Fri, 15 Apr 2016 05:47:00 +0200

mediathekview (10-2) unstable; urgency=medium

  * debian/control: Suggest ffmpeg instead of libav-tools because Debian
    transitions to ffmpeg again.
  * Install MediathekView.png to hicolor directory.
  * Add headless-mode-not-working.patch.
    Fix running MediathekView in headless mode with -auto switch.
    Thanks to Erich Schubert for the report. (Closes: #799652)

 -- Markus Koschany <apo@gambaru.de>  Mon, 21 Sep 2015 23:41:30 +0200

mediathekview (10-1) unstable; urgency=medium

  * Imported Upstream version 10.
  * debian/rules: Add get-orig-source target.
  * Update build.patch for new release.
  * Add Apple-Java-Extensions.patch.
    The stubs from OrangeExtension are currently not available for Debian.
    Remove all MacOS specific code which would cause a FTBFS on Debian systems.
  * Remove unused mediathekview.lintian-overrides.
  * Update debian/copyright for new release.
  * Vcs-Browser: Use https.
  * Recommend mplayer instead of mplayer2 again because the latter is going to
    be removed from Debian.

 -- Markus Koschany <apo@gambaru.de>  Fri, 21 Aug 2015 15:07:53 +0200

mediathekview (9-2) unstable; urgency=medium

  * Upload to unstable.

 -- Markus Koschany <apo@gambaru.de>  Mon, 27 Apr 2015 11:15:36 +0200

mediathekview (9-1) experimental; urgency=medium

  * Imported Upstream version 9.
  * Update copyright years.
  * Drop README.source.
  * Rebase build.patch for new release.
  * Update man pages. Mention new -fastauto option.

 -- Markus Koschany <apo@gambaru.de>  Tue, 24 Feb 2015 21:24:23 +0100

mediathekview (8-1) experimental; urgency=medium

  * Imported Upstream version 8. (Closes: #764923)
  * New dependency libjchart2d-java:
    Add libjchart2d-java to Build-Depends-Indep and update the CLASSPATH
    accordingly.
  * Update build.patch for new release.

 -- Markus Koschany <apo@gambaru.de>  Fri, 14 Nov 2014 00:15:47 +0100

mediathekview (7.1-1) unstable; urgency=medium

  * Imported Upstream version 7.1.
  * Declare compliance with Debian Policy 3.9.6.
  * Update VCS-Browser field to new canonical address.
  * Update man pages timestamp.
  * Update debian/copyright for new release.
  * Add README.source.
  * Rename modify-ant-build-system.patch to build.patch and update it for 7.1.

 -- Markus Koschany <apo@gambaru.de>  Fri, 24 Oct 2014 12:49:46 +0200

mediathekview (7-1) unstable; urgency=medium

  * Imported Upstream version 7.
  * Update debian/watch to detect new upstream tarballs.

 -- Markus Koschany <apo@gambaru.de>  Thu, 24 Jul 2014 12:04:16 +0200

mediathekview (6-1) unstable; urgency=medium

  * Imported Upstream version 6.

 -- Markus Koschany <apo@gambaru.de>  Wed, 16 Apr 2014 11:03:44 +0200

mediathekview (5-1) unstable; urgency=medium

  * Imported Upstream version 5.
    - Add additional options to replace "forbidden" characters manually.
      (Closes: #736361)
  * Drop ffmpeg-dialog.patch. Fixed upstream.
  * Recommend mpv instead of mplayer.
    - Mplayer is going to be removed from Debian.
  * Suggest libav-tools as a replacement for ffmpeg.
    - The libav-tools package provides among others avconv, the audio and video
      encoder. This tool may help users to convert media files to other file
      formats and can be used as a substitution for ffmpeg in MediathekView's
      sets.
  * Update watch file. Add zip extension to regex.
  * Update version and timestamp for man pages.
  * bin/mediathekview: Change require_java_runtime to find_java_runtime. Do not
    let the wrapper script fail anymore if Java7 compatible runtime environments
    are used which are not currently detected by java-wrappers though.
    (LP: #1299803)
  * Remove source/options. xz compression is the default now.

 -- Markus Koschany <apo@gambaru.de>  Tue, 08 Apr 2014 23:26:04 +0200

mediathekview (4-3) unstable; urgency=medium

  * Add ffmpeg-dialog.patch.
    The ffmpeg settings dialog popped up repeatedly. The correct behaviour is
    to ask the user only once to edit the path to ffmpeg or a similar
    application.
  * Add dependency on default-jre | java7-runtime back again.
    Javahelper can't no longer insert the correct java-runtime for
    ${java:Depends} because it looks for an executable jar file in the package.
    Since java-wrappers is used instead of jarwrapper and MediathekView.jar is
    not executable anymore, a manual dependency on default-jre | java7-runtime
    has to be used.

 -- Markus Koschany <apo@gambaru.de>  Wed, 29 Jan 2014 12:04:44 +0100

mediathekview (4-2) unstable; urgency=medium

  * Use java-wrappers and require java7 runtime.
    - Add java-wrappers dependency.
    - Install a wrapper script to /usr/bin/mediathekview and ensure users have
      installed and use a Java7 compatible runtime environment. Remove dh_links
      override in debian/rules which is no longer needed. (Closes: #735048)

 -- Markus Koschany <apo@gambaru.de>  Tue, 14 Jan 2014 17:47:25 +0100

mediathekview (4-1) unstable; urgency=medium

  * Imported Upstream version 4.
  * Declare compliance with Standards-Version 3.9.5.
  * Correct a mistake in the last changelog entry.
    - build-dependencies <-> dependencies
  * Override lintian warning:incompatible-java-bytecode-format Java7 because
    Java7 is the current default JRE for Jessie. MediathekView also requires
    Java7 to run and is incompatible with Java6 or earlier.
  * debian/control: Add libjackson2-core-java, libtimingframework-java and
    libxz-java to Build-Depends-Indep.
  * Drop README.source. Now upstream provides a source tarball.
  * Refresh modify-ant-build-system.patch.
  * debian/rules: Remove get-orig-source target. No longer needed.
  * Update mediathekview.manifest. Add new required libraries to classpath.
  * Update debian/watch for new versioning scheme.
  * Update debian/copyright for new release. Add BSD-3-clause license.
  * Update man pages and remove unsupported options.

 -- Markus Koschany <apo@gambaru.de>  Tue, 07 Jan 2014 17:25:52 +0100

mediathekview (3.3.0-1) unstable; urgency=low

  * [5c80f14] Imported Upstream version 3.3.0.
  * debian/control:
    - [6bdc4a9] Drop duplicate dependencies.
      jh_depends can automatically substitute necessary dependencies via the
      ${java:Depends} substvar.
    - [030af3d] Remove versioned dependencies for javahelper and ant.
    - [3d8bdd7] Bump compat level to 9 and require debhelper >=9.
  * [3a5a2ae] Improve get-orig-source-target.
  * [ff84354] Install MediathekView.jar with install file.
    - Drop dirs file which is no longer necessary, remove dh_auto_install
      override and install MediathekView.jar with the corresponding
      mediathekview.install file.
  * [1900533] Drop Build-with-libjgoodies-forms-java-1.6.patch.
    - Merged upstream.
  * [b50f2f9] Refresh modify-ant-build-system.patch.
  * [3e99cfe] Remove unused lintian-override.
  * [ec81f6e] Install hicolor scalable icon MediathekView.svg instead of
    MediathekView.png.

 -- Markus Koschany <apo@gambaru.de>  Mon, 09 Sep 2013 15:04:42 +0200

mediathekview (3.2.1+git20130327-2) unstable; urgency=low

  * [0a9aec1] Add versioned dependency on libjgoodies-forms-java to force an
    upgrade from version 1.3 to 1.6.

 -- Markus Koschany <apo@gambaru.de>  Wed, 08 May 2013 12:40:04 +0200

mediathekview (3.2.1+git20130327-1) unstable; urgency=low

  * [fced81f] Imported Upstream version 3.2.1+git20130327.
    The new upstream version fixes the error "Desktop API is not supported on
    the current platform". (Closes: #707136)

 -- Markus Koschany <apo@gambaru.de>  Tue, 07 May 2013 22:32:31 +0200

mediathekview (3.2.1-2) unstable; urgency=low

  * [6ba46ec] Add Build-with-libjgoodies-forms-java-1.6 patch.
    This patch fixes a compatibility issue with libjgoodies-forms-java 1.6. The
    former class FormFactory has been renamed to FormSpecs which rendered
    MediathekView unusable. (Closes: #706925)

 -- Markus Koschany <apo@gambaru.de>  Mon, 06 May 2013 18:04:44 +0200

mediathekview (3.2.1-1) unstable; urgency=low

  * [74586ed] Imported Upstream version 3.2.1. (Closes: #703704)
  * [e2ecabd] debian/rules:
    - Update get-orig-source target.
    - Do not export the CLASSPATH anymore. The manifest file is sufficient.
  * [b334c6c] Update man pages for version 3.2.1.
  * [6bb5049] debian/control:
    - Add the following dependencies which are needed for the new UI
      improvements.
    - libjgoodies-forms-java
    - libjide-oss-java
    - libmac-widgets-java
    - libswingx-java
  * [4cfcf86] Use canonical Vcs-URI.
  * [01dd128] New French documentation. Add Instructions.pdf.
  * [c3f17f7] Add Debian menu file for MediathekView.
  * [92bd5c2] Install new xpm icon for the Debian menu.
  * [9c65b1e] mediathekview.manifest:
    - Add new dependencies to manifest file and update the CLASSPATH.
  * [4f2d22a] Update debian/copyright:
    - Add Apache-2.0 license paragraph.
    - Add new copyright holder to debian/copyright.
  * [87f6049] mediathekview.doc-base:
    - Rename Anleitung.pdf to Kurzanleitung.pdf. The name of the manual has
      changed again.
  * [7ea6001] mediathekview.desktop: Clean up and remove not strictly required
      keys like StartupWMClass and StartupNotify. Wrong key values let Unity
      fail to associate the launched java process with the desktop file.
      Thanks Benjamin Drung for the report and patch. (Closes: #704132)
  * [c184bb9] Rename and update modify-ant-build-system.patch for 3.2.1.

 -- Markus Koschany <apo@gambaru.de>  Sat, 13 Apr 2013 17:39:12 +0200

mediathekview (3.1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Drop libjdom1-java dependency, it is no longer needed.
    - Add MPlayer2 as another video player alternative to Recommends.
    - Update the package description. Add ORF. SF is now known as SRF.
    - Add Vcs-fields. MediathekView will be maintained in a git repository at
      collab-maint from now on. Thanks Christoph Martin for his help.
      (Closes: #685389)
  * debian/rules:
    - Add get-orig-source target.
    - Remove libjdom1 from CLASSPATH.
  * debian/mediathekview.manifest:
    - Remove libjdom1 from manifest file.
  * Update MediathekView's manpage. Add examples and mention new options.
  * Provide a German manpage for MediathekView.
  * Refresh 01_modify_ant_build_system.patch.
  * Update README.source.

 -- Markus Koschany <apo@gambaru.de>  Tue, 08 Jan 2013 20:35:05 +0100

mediathekview (3.0.0-1) unstable; urgency=low

  * New Maintainer.
  * New upstream release. (Closes: #647843)
    - Restores the ability to download new lists of films automatically.
     (Closes: #681680)
  * debian/control:
    - Remove superfluous build dependency on quilt.
    - Remove recommendation for mplayer-nogui because mplayer has replaced
      it nowadays. Now either VLC or MPlayer are the recommended video players.
    - Fix typos in the package description. (Closes: #625704)
    - Bump Standards-Version to 3.9.4, no changes needed.
    - New dependency libcommons-lang3-java replaces libcommons-lang-java.
    - Remove dependency on librome-java because upstream discontinued the
      support for podcasts.
    - New upstream requirement for the build system is Ant >=1.8.0.
  * debian/rules:
    - Remove quilt flag for dh to be in line with debian/control changes.
    - Change the CLASSPATH accordingly to the changes in debian/control.
  * Ant build system:
    - Switch to the new Ant build system provided by upstream.
    - Replace add-ant-build-xml.patch with 01_modify_ant_build_system.patch
      which adjusts the CLASSPATH environment.
  * Update README.source and describe the steps to obtain the upstream sources.
  * Update debian/copyright to the machine-readable copyright format 1.0.
  * debian/mediathekview.1:
    - Update the man page and remove entries of options which are unsupported
      at the moment.
  * debian/mediathekview.doc-base:
    - Replace mediathekview.pdf with Anleitung.pdf.
    - Add this short manual again because now upstream provides the source
      for it. (Closes: #630219)

 -- Markus Koschany <apo@gambaru.de>  Sat, 22 Sep 2012 20:12:36 +0200

mediathekview (2.4.0-4) unstable; urgency=low

  * remove mediathekview.pdf as we do not have the source for it.

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Sun, 17 Apr 2011 20:44:40 +0200

mediathekview (2.4.0-3) unstable; urgency=low

  * change reference to GPL-3 in copyright
  * add missing copyright for io/History.java

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri, 04 Feb 2011 15:00:40 +0100

mediathekview (2.4.0-2) unstable; urgency=low

  * change reference to GPL-2 in copyright
  * change desktop file for menu
  * added doc-base file

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Wed, 19 Jan 2011 14:30:38 +0100

mediathekview (2.4.0-1) unstable; urgency=low

  [ Thomas B. ]
  * need-packaging Bug (LP: #633883)

  [ Christoph Martin ]
  * need-packaging Bug (Closes: #551338)
  * fix some lintian errors

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Wed, 19 Jan 2011 10:52:53 +0100

mediathekview (2.4.0-0ubuntu2~lostis~ppa1) maverick; urgency=low

  * new upstream version from git repository (tag version 2.4.0)
  * added libcommons-compress-java dependency
  * corrected build.xml

 -- Thomas B. <lostis@gmx.net>  Fri, 14 Jan 2011 23:05:00 +0100

mediathekview (2.3.0-0ubuntu1) maverick; urgency=low

  * New upstream release
  * updated watchfile due to name-pattern change of src package

 -- Thomas B. <lostis@gmx.net>  Tue, 02 Nov 2010 23:28:28 +0100

mediathekview (2.2.1-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Thomas B. <lostis@gmx.net>  Thu, 07 Oct 2010 02:06:57 +0200

mediathekview (2.2.0-0ubuntu1~maverick~ppa1) maverick; urgency=low

  * New upstream release

 -- Thomas B. <lostis@gmx.net>  Sun, 03 Oct 2010 16:42:38 +0200

mediathekview (2.1.5-1) unstable; urgency=low

  * Initial Debian release

 -- Thomas B. <lostis@gmx.net>  Sun, 19 Sep 2010 19:54:27 +0200

mediathekview (2.1.5-0ubuntu1~lucid~ppa1) lucid; urgency=low

  * added ant-jar missing manifest attributes
  * New upstream release

 -- Thomas B. <lostis@gmx.net>  Mon, 13 Sep 2010 20:56:25 +0200

mediathekview (2.1.4-0ubuntu1~lucid~ppa10) lucid; urgency=low

  * deleted all included libs in this package
  * created manpage of MediathekView
  * added pdf manual from the orginal author
  * corrected build.xml patch
  * fixed all lintian issues
  * fixed to single icon

 -- Thomas B. <lostis@gmx.net>  Sun, 12 Sep 2010 20:26:45 +0200

mediathekview (2.1.4-0ubuntu1~lucid~ppa9) lucid; urgency=high

  * hope the last bug fix with lib paths

 -- Thomas B. <lostis@gmx.net>  Fri, 10 Sep 2010 18:08:36 +0200

mediathekview (2.1.4-0ubuntu1~lucid~ppa8) lucid; urgency=low

  * fixed compiling shared libs

 -- Thomas B. <lostis@gmx.net>  Fri, 10 Sep 2010 10:35:54 +0200

mediathekview (2.1.4-0ubuntu1~lucid~ppa7) lucid; urgency=low

  * need-packaging Bug (LP: #633883)
  * fixed dependencies problems in lucid
  * merged with uploader bojo42 and added in debian/control
  * fixed build.xml
  * desktop file categories and comment

 -- Thomas B. <lostis@gmx.net>  Fri, 10 Sep 2010 02:27:49 +0200

mediathekview (2.1.4-0ubuntu1~lucid~ppa6) lucid; urgency=low

  * added watch file for uscan
  * changed to debian/rules file change to cdbs
  * change directory structure to fit with .orig.tar.gz from upstream
  * added include-binaries whitelist
  * changed build.xml src-directory-path

 -- Thomas B. <lostis@gmx.net>  Thu, 09 Sep 2010 12:44:58 +0200

mediathekview (2.1.4-0ubuntu1~lucid~ppa5) lucid; urgency=low

  * Initial Ubuntu Upload

 -- Thomas B. <lostis@gmx.net>  Thu, 09 Sep 2010 12:44:58 +0200

